Subject: bug#3385: Bug calling patched appt-display-message

From: Jason Rumney <[email-masked]>
Date: Tue, 26 May 2009 14:54:55 +0800

Glenn Morris wrote:
> I was unable to reproduce this problem in Emacs 22.2 on GNU/Linux,
> with a diary file with and without a trailing newline, and with DOS or
> unix line endings.
>   

Likewise on Windows XP with 22.3 and current trunk.

I note the work "patched" in the subject line, and wonder if the user's 
own patches might be responsible. I suspect there have been changes made 
to the way the string is constructed, as the time is missing from the 
front of the string in the original bug report, while a study of appt.el 
shows that the time is always prepended to the string when an 
appointment is taken from the diary or created with appt-add.